#
# spec file for package python3-setproctitle
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-setproctitle
Version:        1.1.9
Release:        6.5
Summary:        Python module to allow customization of the process title
License:        BSD-3-Clause
Group:          Development/Libraries/Python
Url:            http://pypi.python.org/pypi/setproctitle/
Source:         http://pypi.python.org/packages/source/s/setproctitle/setproctitle-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Changing the title is mostly useful in multi-process systems, for example when
a master process is forked: changing the children's title allows to identify
the task each process is busy with. The technique is used by PostgreSQL  and
the OpenSSH Server for example.

%prep
%setup -q -n setproctitle-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT HISTORY.rst README.rst
%{python3_sitearch}/*

%changelog
* Tue Jul 21 2015 arun@gmx.de
- update to version 1.1.9:
  * Fixed build on VC (issues #20, #33).
  * Added "MANIFEST.in" to the source distribution to help with RPM
    building (issue #30).
* Wed Jan  7 2015 arun@gmx.de
- specfile: update copyright year
- update to version 1.1.8:
  * Added support for Python "diehard" 2.4.
  * Fixed build on Mac OS X 10.9 Maverick (issue #27).
- changes from version 1.1.7:
  * Added PyPy support, courtesy of Ozan Turksever (http://www.logsign.net).
* Mon Jan 14 2013 saschpe@suse.de
- Drop buildrequires python3-2to3, it's in python3-devel now
- Don't require "python(abi)", RPM does that automatically
* Sat Jan 12 2013 idonmez@suse.com
- Fix typo in Requires line (p3_ver -> py3_ver)
* Wed Sep 12 2012 os-dev@jacraig.com
- Update to 1.1.6:
  * The module can be compiled again on Windows (issue #21).
- Changes from 1.1.5:
  * No module bug, but a packaging issue: files ``README`` and ``HISTORY``
    added back into the distribution.
- Changes from 1.1.4:
  * The module works correctly in embedded Python.
  * ``setproctitle()`` accepts a keyword argument.
  * Debug output support always compiled in: the variable ``SPT_DEBUG`` can be
    used to emit debug log.
- Simplify %%build sections to one line
- HISTORY and README files are now .rst files, update %%files section
* Thu Apr 26 2012 toddrme2178@gmail.com
- Add proper python dependency
* Tue Jan 10 2012 idonmez@suse.com
- Update to v1.1.3
  * Don't clobber environ if the variable SPT_NOENV is set
  * Fixed segfault when the module is imported under vim (bnc#739242)
* Mon Apr  4 2011 jengelh@medozas.de
- Provide python3 spec file
* Tue Mar 29 2011 saschpe@suse.de
- Spec file cleanup:
  * changed license to BSD3c
  * packaded documentation files
  * fixed build non-SUSE distros
* Thu Nov 18 2010 hvogel@novell.com
- Update to version 1.1
  * add support python3
* Wed Jun 23 2010 hvogel@novell.com
- Initial package, Version 1.0.1
